/*-------------------------------
  CONTACT PAGE
  --------------------------------*/
.contact-page{
  position: relative;
  overflow: hidden;
}
.contact-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 30px 20px;
  margin-bottom: 30px;
  border-radius: var(--block-border-radius);
  background-color: var(--color-background);
  @media #{$xl} {
    padding: 50px;
  }
  &-image{
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 120px;
    height: 120px;
    @include border-radius(100%);
    margin-bottom: 30px;
    background-color: var(--color-black);
    &.primary {
      background-color: var(--color-primary);
    }
    &.secondary {
      background-color: var(--color-secondary);
    }
    &.white {
      background-color: var(--color-white);
    }
    i{
      font-size: 72px;
      line-height: 120px;
      color: var(--color-white);
    }
  }
  &-title {
    font-weight: 600;
    font-size: 28px;
    line-height: 34px;
    text-transform: uppercase;
    margin-bottom: 15px;
  }
  p {
    font-weight: 500;
    font-size: 20px;
    text-align: center;
  }
}
.form-floating > label {
  position: absolute;
  top: -5px;
  right: .75rem;
  font-size: 20px;
}
.form-control {
  font-family: var(--font-body);
  font-weight: 500;
  font-size: 1.3rem;
}
.map-wrap {
  .map-block {
    height: 600px;
    .map{
      height:100%;
    width:100%;
    border:0;
    filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale"); /* Firefox 10+ */
    filter: gray; /* IE6-9 */
	  -webkit-filter: grayscale(99%); /* Chrome 19+ & Safari 6+ */
    }
  }
}